// 桌台管理
import http from './http.js'
const request = http.request
import $API from '@/http/classApi.js'
import appConfig from '@/config/appConfig.js'
import {
	Base64
} from 'js-base64'
import infoBox from '@/commons/utils/infoBox.js'

/* 台桌区域 */
export const $tableArea = new $API('/api/tbShopArea', http.req)
/* 台桌 */
export const $table = new $API('/api/tbShopTable', http.req)
/* 绑定 */
// export const $bind=new $API('/api/tbShopTable/bind',http.req)
export function $bind(data) {
	return request({
		url: "/api/tbShopTable/bind",
		method: "post",
		data: {
			shopId: uni.getStorageSync('shopId'),
			...data
		}
	});
}
//获取台桌详情状态
export function $returnTableDetail(data) {
	return request({
		url: '/api/tbShopTable/state',
		method: "get",
		params: {
			shopId: uni.getStorageSync('shopId'),
			...data
		}
	});
}


// 选择台桌
export function $choseTable(data) {
	return request({
		url: '/api/place/choseTable',
		method: "put",
		data: {
			shopId: uni.getStorageSync('shopId'),
			...data
		}
	});
}